ACPIDUMP(8)

NAME
acpidump - dump a system's ACPI tables to an ASCII file

SYNOPSIS
acpidump [options]

DESCRIPTION
acpidump dumps the systems ACPI tables to an ASCII file appropriate for attaching to a bug report. Subsequently, they can be processed by utilities in the ACPICA package.

OPTIONS
acpidump options are as follow:

Options

-b  Dump tables to binary files

-c  Dump customized tables

-h -?
    This help message

-o <File>
    Redirect output to file

-r <Address>
    Dump tables from specified RSDP

-s  Print table summaries only

-v  Display version information

-z  Verbose mode

Table Options

-a <Address>
    Get table via a physical address

-f <BinaryFile>
    Get table via a binary file

-n <Signature>
    Get table via a name/signature

Invocation without parameters dumps all available tables

Multiple mixed instances of -a, -f, and -n are supported

EXAMPLES
# acpidump > acpidump.out
$ acpixtract -a acpidump.out
        Acpi table [DSDT] -  15974 bytes written to DSDT.dat
        Acpi table [FACS] -     64 bytes written to FACS.dat
        Acpi table [FACP] -    116 bytes written to FACP.dat
        Acpi table [APIC] -    120 bytes written to APIC.dat
        Acpi table [MCFG] -     60 bytes written to MCFG.dat
        Acpi table [SSDT] -    444 bytes written to SSDT1.dat
        Acpi table [SSDT] -    439 bytes written to SSDT2.dat
        Acpi table [SSDT] -    439 bytes written to SSDT3.dat
        Acpi table [SSDT] -    439 bytes written to SSDT4.dat
        Acpi table [SSDT] -    439 bytes written to SSDT5.dat
        Acpi table [RSDT] -     76 bytes written to RSDT.dat
        Acpi table [RSDP] -     20 bytes written to RSDP.dat
$ iasl -d *.dat
creates *.dsl, a human readable form which can be edited and compiled using iasl.

NOTES
acpidump must be run as root.

REFERENCES
ACPICA: https://acpica.org/

FILES
/dev/mem
/sys/firmware/acpi/tables/*
/sys/firmware/acpi/tables/dynamic/*
/sys/firmware/efi/systab

AUTHOR

Original by:
     Len Brown <len.brown@intel.com>

Written by:
     Chao Guan <chao.guan@intel.com>

Updated by:
     Bob Moore <robert.moore@intel.com>
     Lv Zheng <lv.zheng@intel.com>

SEE ALSO
acpixtract(8), iasl(8).

COPYRIGHT
COPYRIGHT (c) 2013, Intel Corporation.